import * as React from "react";
import { IIBaseStat } from "@files-stack/core";
import { IFilesMutate, IDragNodeFileStat } from "@files-stack/client-state";
import { ITreeNodeContent } from "./tree-node-content";
import { URI } from "@vscode/monaco-editor/esm/vs/base/common/uri";
export declare namespace INodeContentFileComponent {
    interface OwnState {
        edit?: boolean;
    }
    interface StateProps {
        filesMutate: IFilesMutate;
        dragOveredFile?: IDragNodeFileStat;
        activeEditorId?: number;
    }
    interface DispatchProps {
        dragOverFile: (fileStat: IIBaseStat, path: number[]) => any;
    }
    type Props = ITreeNodeContent.Props & StateProps & DispatchProps;
}
export declare const useSelected: (currentResource: URI) => boolean;
export declare const NodeContentFileComponent: React.FC<INodeContentFileComponent.Props>;
declare const _default: any;
export default _default;
