import * as React from 'react';
import { IFileStatWithMetadata } from '@files-stack/core';
export declare namespace ITreeNodeContent {
    interface OwnProps {
        canDrag?: boolean;
        className?: string;
        listIndex: number;
        lowerSiblingCounts: number[];
        node: IFileStatWithMetadata;
        path: any[];
        scaffoldBlockPxWidth: number;
        style?: any;
        swapDepth?: number;
        swapFrom?: number;
        swapLength?: number;
        title?: any;
        toggleChildrenVisibility?: Function;
        treeIndex: number;
        treeId: string;
    }
    interface DragDropProps {
        connectDragPreview: Function;
        connectDragSource: Function;
        didDrop: boolean;
        draggedNode?: any;
        isDragging: boolean;
        parentNode?: any;
        canDrop?: boolean;
        isOver: boolean;
    }
    type Props = OwnProps & DragDropProps;
}
declare const TreeNodeContent: React.FC<ITreeNodeContent.Props>;
export default TreeNodeContent;
