import * as React from 'react';
export declare namespace IOpenEditorComponent {
    interface OwnProps {
        openedFiles: any[];
        editors: any[];
    }
    type ApiProps = {
        removeChangedContent: (args: any) => any;
        openFile: (args: any) => any;
        activateEditor: (args: any) => any;
        closeFile: (args: any) => any;
        selectFile: (args: any) => any;
    };
    type StateProps = {
        treePanelWidth?: number;
        expand: boolean;
        root: string;
        saveAsModal?: any;
    };
    type DispatchProps = {
        toggleExpand: (expand: boolean) => any;
        saveAll?: () => any;
        showSaveAsModal?: (name: string) => any;
        mutateFile?: (mutate: string, options: any) => any;
    };
    type ComponentProps = StateProps & ApiProps & DispatchProps & OwnProps;
    type Props = ComponentProps;
}
declare const OpenEditorComponent: React.FunctionComponent<IOpenEditorComponent.Props>;
export { OpenEditorComponent };
