import * as SchemaTypes from '@files-stack/core';
import * as ApolloReactCommon from '@apollo/react-common';
import * as React from 'react';
import * as ApolloReactComponents from '@apollo/react-components';
import * as ApolloReactHoc from '@apollo/react-hoc';
import * as ApolloReactHooks from '@apollo/react-hooks';
export declare type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
export declare const EditorsFileRefFragmentDoc: import("graphql").DocumentNode;
export declare const ChangeDirtyStateOnFileStatFragmentDoc: import("graphql").DocumentNode;
export declare const changedEventFragmentDoc: import("graphql").DocumentNode;
export declare const ChangesOnChangedEventFragmentDoc: import("graphql").DocumentNode;
export declare const FileContentFragmentDoc: import("graphql").DocumentNode;
export declare const TextContentFragmentDoc: import("graphql").DocumentNode;
export declare const EditorStateFragmentDoc: import("graphql").DocumentNode;
export declare const FileParentChildRefFragmentDoc: import("graphql").DocumentNode;
export declare const FileSaveConfigFragmentDoc: import("graphql").DocumentNode;
export declare const FileSelfStatFragmentDoc: import("graphql").DocumentNode;
export declare const FileStatNestedChildFragmentDoc: import("graphql").DocumentNode;
export declare const FilesTreeItemFragmentDoc: import("graphql").DocumentNode;
export declare const FilesTreeDataFragmentDoc: import("graphql").DocumentNode;
export declare const FilesTreeItemMiniFragmentDoc: import("graphql").DocumentNode;
export declare const FilesTreeDataMiniFragmentDoc: import("graphql").DocumentNode;
export declare const SelectedResourceFragmentDoc: import("graphql").DocumentNode;
export declare const TextFileOnFileStatFragmentDoc: import("graphql").DocumentNode;
export declare const TextFileOnFileStatLiteFragmentDoc: import("graphql").DocumentNode;
export declare const UntitledFileOnFileStatFragmentDoc: import("graphql").DocumentNode;
export declare const UntitledFileStatFragmentDoc: import("graphql").DocumentNode;
export declare const UpdateErrorFileOnFileStatFragmentDoc: import("graphql").DocumentNode;
export declare const CanHandleResource_WSDocument: import("graphql").DocumentNode;
export declare type ICanHandleResource_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICanHandleResource_WSMutation, SchemaTypes.ICanHandleResource_WSMutationVariables>;
export declare type CanHandleResource_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICanHandleResource_WSMutation, SchemaTypes.ICanHandleResource_WSMutationVariables>, 'mutation'>;
export declare const CanHandleResource_WSComponent: (props: CanHandleResource_WSComponentProps) => JSX.Element;
export declare type ICanHandleResource_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICanHandleResource_WSMutation, SchemaTypes.ICanHandleResource_WSMutationVariables>;
} & TChildProps;
export declare function withCanHandleResource_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ICanHandleResource_WSMutation, SchemaTypes.ICanHandleResource_WSMutationVariables, ICanHandleResource_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICanHandleResource_WSMutation, SchemaTypes.ICanHandleResource_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useCanHandleResource_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICanHandleResource_WSMutation, SchemaTypes.ICanHandleResource_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICanHandleResource_WSMutation, SchemaTypes.ICanHandleResource_WSMutationVariables>;
export declare type CanHandleResource_WSMutationHookResult = ReturnType<typeof useCanHandleResource_WSMutation>;
export declare type CanHandleResource_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICanHandleResource_WSMutation>;
export declare type CanHandleResource_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICanHandleResource_WSMutation, SchemaTypes.ICanHandleResource_WSMutationVariables>;
export declare const CopyFile_WSDocument: import("graphql").DocumentNode;
export declare type ICopyFile_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICopyFile_WSMutation, SchemaTypes.ICopyFile_WSMutationVariables>;
export declare type CopyFile_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICopyFile_WSMutation, SchemaTypes.ICopyFile_WSMutationVariables>, 'mutation'>;
export declare const CopyFile_WSComponent: (props: CopyFile_WSComponentProps) => JSX.Element;
export declare type ICopyFile_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICopyFile_WSMutation, SchemaTypes.ICopyFile_WSMutationVariables>;
} & TChildProps;
export declare function withCopyFile_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ICopyFile_WSMutation, SchemaTypes.ICopyFile_WSMutationVariables, ICopyFile_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICopyFile_WSMutation, SchemaTypes.ICopyFile_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useCopyFile_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICopyFile_WSMutation, SchemaTypes.ICopyFile_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICopyFile_WSMutation, SchemaTypes.ICopyFile_WSMutationVariables>;
export declare type CopyFile_WSMutationHookResult = ReturnType<typeof useCopyFile_WSMutation>;
export declare type CopyFile_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICopyFile_WSMutation>;
export declare type CopyFile_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICopyFile_WSMutation, SchemaTypes.ICopyFile_WSMutationVariables>;
export declare const CreateFile_WSDocument: import("graphql").DocumentNode;
export declare type ICreateFile_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICreateFile_WSMutation, SchemaTypes.ICreateFile_WSMutationVariables>;
export declare type CreateFile_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICreateFile_WSMutation, SchemaTypes.ICreateFile_WSMutationVariables>, 'mutation'>;
export declare const CreateFile_WSComponent: (props: CreateFile_WSComponentProps) => JSX.Element;
export declare type ICreateFile_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICreateFile_WSMutation, SchemaTypes.ICreateFile_WSMutationVariables>;
} & TChildProps;
export declare function withCreateFile_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ICreateFile_WSMutation, SchemaTypes.ICreateFile_WSMutationVariables, ICreateFile_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICreateFile_WSMutation, SchemaTypes.ICreateFile_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useCreateFile_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICreateFile_WSMutation, SchemaTypes.ICreateFile_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICreateFile_WSMutation, SchemaTypes.ICreateFile_WSMutationVariables>;
export declare type CreateFile_WSMutationHookResult = ReturnType<typeof useCreateFile_WSMutation>;
export declare type CreateFile_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICreateFile_WSMutation>;
export declare type CreateFile_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICreateFile_WSMutation, SchemaTypes.ICreateFile_WSMutationVariables>;
export declare const CreateFolder_WSDocument: import("graphql").DocumentNode;
export declare type ICreateFolder_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICreateFolder_WSMutation, SchemaTypes.ICreateFolder_WSMutationVariables>;
export declare type CreateFolder_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICreateFolder_WSMutation, SchemaTypes.ICreateFolder_WSMutationVariables>, 'mutation'>;
export declare const CreateFolder_WSComponent: (props: CreateFolder_WSComponentProps) => JSX.Element;
export declare type ICreateFolder_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICreateFolder_WSMutation, SchemaTypes.ICreateFolder_WSMutationVariables>;
} & TChildProps;
export declare function withCreateFolder_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ICreateFolder_WSMutation, SchemaTypes.ICreateFolder_WSMutationVariables, ICreateFolder_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICreateFolder_WSMutation, SchemaTypes.ICreateFolder_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useCreateFolder_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICreateFolder_WSMutation, SchemaTypes.ICreateFolder_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICreateFolder_WSMutation, SchemaTypes.ICreateFolder_WSMutationVariables>;
export declare type CreateFolder_WSMutationHookResult = ReturnType<typeof useCreateFolder_WSMutation>;
export declare type CreateFolder_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICreateFolder_WSMutation>;
export declare type CreateFolder_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICreateFolder_WSMutation, SchemaTypes.ICreateFolder_WSMutationVariables>;
export declare const CreateUntitledFileDocument: import("graphql").DocumentNode;
export declare type ICreateUntitledFileMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ICreateUntitledFileMutation, SchemaTypes.ICreateUntitledFileMutationVariables>;
export declare type CreateUntitledFileComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ICreateUntitledFileMutation, SchemaTypes.ICreateUntitledFileMutationVariables>, 'mutation'>;
export declare const CreateUntitledFileComponent: (props: CreateUntitledFileComponentProps) => JSX.Element;
export declare type ICreateUntitledFileProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICreateUntitledFileMutation, SchemaTypes.ICreateUntitledFileMutationVariables>;
} & TChildProps;
export declare function withCreateUntitledFile<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ICreateUntitledFileMutation, SchemaTypes.ICreateUntitledFileMutationVariables, ICreateUntitledFileProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ICreateUntitledFileMutation, SchemaTypes.ICreateUntitledFileMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useCreateUntitledFileMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ICreateUntitledFileMutation, SchemaTypes.ICreateUntitledFileMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ICreateUntitledFileMutation, SchemaTypes.ICreateUntitledFileMutationVariables>;
export declare type CreateUntitledFileMutationHookResult = ReturnType<typeof useCreateUntitledFileMutation>;
export declare type CreateUntitledFileMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ICreateUntitledFileMutation>;
export declare type CreateUntitledFileMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ICreateUntitledFileMutation, SchemaTypes.ICreateUntitledFileMutationVariables>;
export declare const DeleteFile_WSDocument: import("graphql").DocumentNode;
export declare type IDeleteFile_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IDeleteFile_WSMutation, SchemaTypes.IDeleteFile_WSMutationVariables>;
export declare type DeleteFile_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IDeleteFile_WSMutation, SchemaTypes.IDeleteFile_WSMutationVariables>, 'mutation'>;
export declare const DeleteFile_WSComponent: (props: DeleteFile_WSComponentProps) => JSX.Element;
export declare type IDeleteFile_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IDeleteFile_WSMutation, SchemaTypes.IDeleteFile_WSMutationVariables>;
} & TChildProps;
export declare function withDeleteFile_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IDeleteFile_WSMutation, SchemaTypes.IDeleteFile_WSMutationVariables, IDeleteFile_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IDeleteFile_WSMutation, SchemaTypes.IDeleteFile_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useDeleteFile_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IDeleteFile_WSMutation, SchemaTypes.IDeleteFile_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IDeleteFile_WSMutation, SchemaTypes.IDeleteFile_WSMutationVariables>;
export declare type DeleteFile_WSMutationHookResult = ReturnType<typeof useDeleteFile_WSMutation>;
export declare type DeleteFile_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IDeleteFile_WSMutation>;
export declare type DeleteFile_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IDeleteFile_WSMutation, SchemaTypes.IDeleteFile_WSMutationVariables>;
export declare const FindFileStatDocument: import("graphql").DocumentNode;
export declare type IFindFileStatMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IFindFileStatMutation, SchemaTypes.IFindFileStatMutationVariables>;
export declare type FindFileStatComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IFindFileStatMutation, SchemaTypes.IFindFileStatMutationVariables>, 'mutation'>;
export declare const FindFileStatComponent: (props: FindFileStatComponentProps) => JSX.Element;
export declare type IFindFileStatProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IFindFileStatMutation, SchemaTypes.IFindFileStatMutationVariables>;
} & TChildProps;
export declare function withFindFileStat<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFindFileStatMutation, SchemaTypes.IFindFileStatMutationVariables, IFindFileStatProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IFindFileStatMutation, SchemaTypes.IFindFileStatMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFindFileStatMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IFindFileStatMutation, SchemaTypes.IFindFileStatMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IFindFileStatMutation, SchemaTypes.IFindFileStatMutationVariables>;
export declare type FindFileStatMutationHookResult = ReturnType<typeof useFindFileStatMutation>;
export declare type FindFileStatMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IFindFileStatMutation>;
export declare type FindFileStatMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IFindFileStatMutation, SchemaTypes.IFindFileStatMutationVariables>;
export declare const GetEditorStateDocument: import("graphql").DocumentNode;
export declare type IGetEditorStateMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IGetEditorStateMutation, SchemaTypes.IGetEditorStateMutationVariables>;
export declare type GetEditorStateComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IGetEditorStateMutation, SchemaTypes.IGetEditorStateMutationVariables>, 'mutation'>;
export declare const GetEditorStateComponent: (props: GetEditorStateComponentProps) => JSX.Element;
export declare type IGetEditorStateProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IGetEditorStateMutation, SchemaTypes.IGetEditorStateMutationVariables>;
} & TChildProps;
export declare function withGetEditorState<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IGetEditorStateMutation, SchemaTypes.IGetEditorStateMutationVariables, IGetEditorStateProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IGetEditorStateMutation, SchemaTypes.IGetEditorStateMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useGetEditorStateMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IGetEditorStateMutation, SchemaTypes.IGetEditorStateMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IGetEditorStateMutation, SchemaTypes.IGetEditorStateMutationVariables>;
export declare type GetEditorStateMutationHookResult = ReturnType<typeof useGetEditorStateMutation>;
export declare type GetEditorStateMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IGetEditorStateMutation>;
export declare type GetEditorStateMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IGetEditorStateMutation, SchemaTypes.IGetEditorStateMutationVariables>;
export declare const GetFilesTreeDataDocument: import("graphql").DocumentNode;
export declare type IGetFilesTreeDataMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IGetFilesTreeDataMutation, SchemaTypes.IGetFilesTreeDataMutationVariables>;
export declare type GetFilesTreeDataComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IGetFilesTreeDataMutation, SchemaTypes.IGetFilesTreeDataMutationVariables>, 'mutation'>;
export declare const GetFilesTreeDataComponent: (props: GetFilesTreeDataComponentProps) => JSX.Element;
export declare type IGetFilesTreeDataProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IGetFilesTreeDataMutation, SchemaTypes.IGetFilesTreeDataMutationVariables>;
} & TChildProps;
export declare function withGetFilesTreeData<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IGetFilesTreeDataMutation, SchemaTypes.IGetFilesTreeDataMutationVariables, IGetFilesTreeDataProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IGetFilesTreeDataMutation, SchemaTypes.IGetFilesTreeDataMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useGetFilesTreeDataMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IGetFilesTreeDataMutation, SchemaTypes.IGetFilesTreeDataMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IGetFilesTreeDataMutation, SchemaTypes.IGetFilesTreeDataMutationVariables>;
export declare type GetFilesTreeDataMutationHookResult = ReturnType<typeof useGetFilesTreeDataMutation>;
export declare type GetFilesTreeDataMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IGetFilesTreeDataMutation>;
export declare type GetFilesTreeDataMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IGetFilesTreeDataMutation, SchemaTypes.IGetFilesTreeDataMutationVariables>;
export declare const LoadFile_WSDocument: import("graphql").DocumentNode;
export declare type ILoadFile_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ILoadFile_WSMutation, SchemaTypes.ILoadFile_WSMutationVariables>;
export declare type LoadFile_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ILoadFile_WSMutation, SchemaTypes.ILoadFile_WSMutationVariables>, 'mutation'>;
export declare const LoadFile_WSComponent: (props: LoadFile_WSComponentProps) => JSX.Element;
export declare type ILoadFile_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILoadFile_WSMutation, SchemaTypes.ILoadFile_WSMutationVariables>;
} & TChildProps;
export declare function withLoadFile_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ILoadFile_WSMutation, SchemaTypes.ILoadFile_WSMutationVariables, ILoadFile_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILoadFile_WSMutation, SchemaTypes.ILoadFile_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useLoadFile_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ILoadFile_WSMutation, SchemaTypes.ILoadFile_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ILoadFile_WSMutation, SchemaTypes.ILoadFile_WSMutationVariables>;
export declare type LoadFile_WSMutationHookResult = ReturnType<typeof useLoadFile_WSMutation>;
export declare type LoadFile_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ILoadFile_WSMutation>;
export declare type LoadFile_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ILoadFile_WSMutation, SchemaTypes.ILoadFile_WSMutationVariables>;
export declare const LoadFileContent_WSDocument: import("graphql").DocumentNode;
export declare type ILoadFileContent_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ILoadFileContent_WSMutation, SchemaTypes.ILoadFileContent_WSMutationVariables>;
export declare type LoadFileContent_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ILoadFileContent_WSMutation, SchemaTypes.ILoadFileContent_WSMutationVariables>, 'mutation'>;
export declare const LoadFileContent_WSComponent: (props: LoadFileContent_WSComponentProps) => JSX.Element;
export declare type ILoadFileContent_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILoadFileContent_WSMutation, SchemaTypes.ILoadFileContent_WSMutationVariables>;
} & TChildProps;
export declare function withLoadFileContent_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ILoadFileContent_WSMutation, SchemaTypes.ILoadFileContent_WSMutationVariables, ILoadFileContent_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILoadFileContent_WSMutation, SchemaTypes.ILoadFileContent_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useLoadFileContent_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ILoadFileContent_WSMutation, SchemaTypes.ILoadFileContent_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ILoadFileContent_WSMutation, SchemaTypes.ILoadFileContent_WSMutationVariables>;
export declare type LoadFileContent_WSMutationHookResult = ReturnType<typeof useLoadFileContent_WSMutation>;
export declare type LoadFileContent_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ILoadFileContent_WSMutation>;
export declare type LoadFileContent_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ILoadFileContent_WSMutation, SchemaTypes.ILoadFileContent_WSMutationVariables>;
export declare const LoadFileWithContentDocument: import("graphql").DocumentNode;
export declare type ILoadFileWithContentMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ILoadFileWithContentMutation, SchemaTypes.ILoadFileWithContentMutationVariables>;
export declare type LoadFileWithContentComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ILoadFileWithContentMutation, SchemaTypes.ILoadFileWithContentMutationVariables>, 'mutation'>;
export declare const LoadFileWithContentComponent: (props: LoadFileWithContentComponentProps) => JSX.Element;
export declare type ILoadFileWithContentProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILoadFileWithContentMutation, SchemaTypes.ILoadFileWithContentMutationVariables>;
} & TChildProps;
export declare function withLoadFileWithContent<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ILoadFileWithContentMutation, SchemaTypes.ILoadFileWithContentMutationVariables, ILoadFileWithContentProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILoadFileWithContentMutation, SchemaTypes.ILoadFileWithContentMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useLoadFileWithContentMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ILoadFileWithContentMutation, SchemaTypes.ILoadFileWithContentMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ILoadFileWithContentMutation, SchemaTypes.ILoadFileWithContentMutationVariables>;
export declare type LoadFileWithContentMutationHookResult = ReturnType<typeof useLoadFileWithContentMutation>;
export declare type LoadFileWithContentMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ILoadFileWithContentMutation>;
export declare type LoadFileWithContentMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ILoadFileWithContentMutation, SchemaTypes.ILoadFileWithContentMutationVariables>;
export declare const LoadTreeDataDocument: import("graphql").DocumentNode;
export declare type ILoadTreeDataMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ILoadTreeDataMutation, SchemaTypes.ILoadTreeDataMutationVariables>;
export declare type LoadTreeDataComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ILoadTreeDataMutation, SchemaTypes.ILoadTreeDataMutationVariables>, 'mutation'>;
export declare const LoadTreeDataComponent: (props: LoadTreeDataComponentProps) => JSX.Element;
export declare type ILoadTreeDataProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILoadTreeDataMutation, SchemaTypes.ILoadTreeDataMutationVariables>;
} & TChildProps;
export declare function withLoadTreeData<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ILoadTreeDataMutation, SchemaTypes.ILoadTreeDataMutationVariables, ILoadTreeDataProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ILoadTreeDataMutation, SchemaTypes.ILoadTreeDataMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useLoadTreeDataMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ILoadTreeDataMutation, SchemaTypes.ILoadTreeDataMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ILoadTreeDataMutation, SchemaTypes.ILoadTreeDataMutationVariables>;
export declare type LoadTreeDataMutationHookResult = ReturnType<typeof useLoadTreeDataMutation>;
export declare type LoadTreeDataMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ILoadTreeDataMutation>;
export declare type LoadTreeDataMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ILoadTreeDataMutation, SchemaTypes.ILoadTreeDataMutationVariables>;
export declare const MoveFile_WSDocument: import("graphql").DocumentNode;
export declare type IMoveFile_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IMoveFile_WSMutation, SchemaTypes.IMoveFile_WSMutationVariables>;
export declare type MoveFile_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IMoveFile_WSMutation, SchemaTypes.IMoveFile_WSMutationVariables>, 'mutation'>;
export declare const MoveFile_WSComponent: (props: MoveFile_WSComponentProps) => JSX.Element;
export declare type IMoveFile_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IMoveFile_WSMutation, SchemaTypes.IMoveFile_WSMutationVariables>;
} & TChildProps;
export declare function withMoveFile_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IMoveFile_WSMutation, SchemaTypes.IMoveFile_WSMutationVariables, IMoveFile_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IMoveFile_WSMutation, SchemaTypes.IMoveFile_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useMoveFile_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IMoveFile_WSMutation, SchemaTypes.IMoveFile_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IMoveFile_WSMutation, SchemaTypes.IMoveFile_WSMutationVariables>;
export declare type MoveFile_WSMutationHookResult = ReturnType<typeof useMoveFile_WSMutation>;
export declare type MoveFile_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IMoveFile_WSMutation>;
export declare type MoveFile_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IMoveFile_WSMutation, SchemaTypes.IMoveFile_WSMutationVariables>;
export declare const RemoveChangedEventDocument: import("graphql").DocumentNode;
export declare type IRemoveChangedEventMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveChangedEventMutation, SchemaTypes.IRemoveChangedEventMutationVariables>;
export declare type RemoveChangedEventComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRemoveChangedEventMutation, SchemaTypes.IRemoveChangedEventMutationVariables>, 'mutation'>;
export declare const RemoveChangedEventComponent: (props: RemoveChangedEventComponentProps) => JSX.Element;
export declare type IRemoveChangedEventProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveChangedEventMutation, SchemaTypes.IRemoveChangedEventMutationVariables>;
} & TChildProps;
export declare function withRemoveChangedEvent<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IRemoveChangedEventMutation, SchemaTypes.IRemoveChangedEventMutationVariables, IRemoveChangedEventProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRemoveChangedEventMutation, SchemaTypes.IRemoveChangedEventMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useRemoveChangedEventMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRemoveChangedEventMutation, SchemaTypes.IRemoveChangedEventMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IRemoveChangedEventMutation, SchemaTypes.IRemoveChangedEventMutationVariables>;
export declare type RemoveChangedEventMutationHookResult = ReturnType<typeof useRemoveChangedEventMutation>;
export declare type RemoveChangedEventMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRemoveChangedEventMutation>;
export declare type RemoveChangedEventMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRemoveChangedEventMutation, SchemaTypes.IRemoveChangedEventMutationVariables>;
export declare const RenameFile_WSDocument: import("graphql").DocumentNode;
export declare type IRenameFile_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IRenameFile_WSMutation, SchemaTypes.IRenameFile_WSMutationVariables>;
export declare type RenameFile_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IRenameFile_WSMutation, SchemaTypes.IRenameFile_WSMutationVariables>, 'mutation'>;
export declare const RenameFile_WSComponent: (props: RenameFile_WSComponentProps) => JSX.Element;
export declare type IRenameFile_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRenameFile_WSMutation, SchemaTypes.IRenameFile_WSMutationVariables>;
} & TChildProps;
export declare function withRenameFile_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IRenameFile_WSMutation, SchemaTypes.IRenameFile_WSMutationVariables, IRenameFile_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IRenameFile_WSMutation, SchemaTypes.IRenameFile_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useRenameFile_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IRenameFile_WSMutation, SchemaTypes.IRenameFile_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IRenameFile_WSMutation, SchemaTypes.IRenameFile_WSMutationVariables>;
export declare type RenameFile_WSMutationHookResult = ReturnType<typeof useRenameFile_WSMutation>;
export declare type RenameFile_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IRenameFile_WSMutation>;
export declare type RenameFile_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IRenameFile_WSMutation, SchemaTypes.IRenameFile_WSMutationVariables>;
export declare const SaveDelayFileChanges_WSDocument: import("graphql").DocumentNode;
export declare type ISaveDelayFileChanges_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISaveDelayFileChanges_WSMutation, SchemaTypes.ISaveDelayFileChanges_WSMutationVariables>;
export declare type SaveDelayFileChanges_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISaveDelayFileChanges_WSMutation, SchemaTypes.ISaveDelayFileChanges_WSMutationVariables>, 'mutation'>;
export declare const SaveDelayFileChanges_WSComponent: (props: SaveDelayFileChanges_WSComponentProps) => JSX.Element;
export declare type ISaveDelayFileChanges_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveDelayFileChanges_WSMutation, SchemaTypes.ISaveDelayFileChanges_WSMutationVariables>;
} & TChildProps;
export declare function withSaveDelayFileChanges_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISaveDelayFileChanges_WSMutation, SchemaTypes.ISaveDelayFileChanges_WSMutationVariables, ISaveDelayFileChanges_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveDelayFileChanges_WSMutation, SchemaTypes.ISaveDelayFileChanges_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSaveDelayFileChanges_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISaveDelayFileChanges_WSMutation, SchemaTypes.ISaveDelayFileChanges_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISaveDelayFileChanges_WSMutation, SchemaTypes.ISaveDelayFileChanges_WSMutationVariables>;
export declare type SaveDelayFileChanges_WSMutationHookResult = ReturnType<typeof useSaveDelayFileChanges_WSMutation>;
export declare type SaveDelayFileChanges_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISaveDelayFileChanges_WSMutation>;
export declare type SaveDelayFileChanges_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISaveDelayFileChanges_WSMutation, SchemaTypes.ISaveDelayFileChanges_WSMutationVariables>;
export declare const SaveFileDocument: import("graphql").DocumentNode;
export declare type ISaveFileMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFileMutation, SchemaTypes.ISaveFileMutationVariables>;
export declare type SaveFileComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISaveFileMutation, SchemaTypes.ISaveFileMutationVariables>, 'mutation'>;
export declare const SaveFileComponent: (props: SaveFileComponentProps) => JSX.Element;
export declare type ISaveFileProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFileMutation, SchemaTypes.ISaveFileMutationVariables>;
} & TChildProps;
export declare function withSaveFile<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISaveFileMutation, SchemaTypes.ISaveFileMutationVariables, ISaveFileProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFileMutation, SchemaTypes.ISaveFileMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSaveFileMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISaveFileMutation, SchemaTypes.ISaveFileMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISaveFileMutation, SchemaTypes.ISaveFileMutationVariables>;
export declare type SaveFileMutationHookResult = ReturnType<typeof useSaveFileMutation>;
export declare type SaveFileMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISaveFileMutation>;
export declare type SaveFileMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISaveFileMutation, SchemaTypes.ISaveFileMutationVariables>;
export declare const SaveFile_WSDocument: import("graphql").DocumentNode;
export declare type ISaveFile_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFile_WSMutation, SchemaTypes.ISaveFile_WSMutationVariables>;
export declare type SaveFile_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISaveFile_WSMutation, SchemaTypes.ISaveFile_WSMutationVariables>, 'mutation'>;
export declare const SaveFile_WSComponent: (props: SaveFile_WSComponentProps) => JSX.Element;
export declare type ISaveFile_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFile_WSMutation, SchemaTypes.ISaveFile_WSMutationVariables>;
} & TChildProps;
export declare function withSaveFile_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISaveFile_WSMutation, SchemaTypes.ISaveFile_WSMutationVariables, ISaveFile_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFile_WSMutation, SchemaTypes.ISaveFile_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSaveFile_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISaveFile_WSMutation, SchemaTypes.ISaveFile_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISaveFile_WSMutation, SchemaTypes.ISaveFile_WSMutationVariables>;
export declare type SaveFile_WSMutationHookResult = ReturnType<typeof useSaveFile_WSMutation>;
export declare type SaveFile_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISaveFile_WSMutation>;
export declare type SaveFile_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISaveFile_WSMutation, SchemaTypes.ISaveFile_WSMutationVariables>;
export declare const SaveFileAsDocument: import("graphql").DocumentNode;
export declare type ISaveFileAsMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFileAsMutation, SchemaTypes.ISaveFileAsMutationVariables>;
export declare type SaveFileAsComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISaveFileAsMutation, SchemaTypes.ISaveFileAsMutationVariables>, 'mutation'>;
export declare const SaveFileAsComponent: (props: SaveFileAsComponentProps) => JSX.Element;
export declare type ISaveFileAsProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFileAsMutation, SchemaTypes.ISaveFileAsMutationVariables>;
} & TChildProps;
export declare function withSaveFileAs<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISaveFileAsMutation, SchemaTypes.ISaveFileAsMutationVariables, ISaveFileAsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFileAsMutation, SchemaTypes.ISaveFileAsMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSaveFileAsMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISaveFileAsMutation, SchemaTypes.ISaveFileAsMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISaveFileAsMutation, SchemaTypes.ISaveFileAsMutationVariables>;
export declare type SaveFileAsMutationHookResult = ReturnType<typeof useSaveFileAsMutation>;
export declare type SaveFileAsMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISaveFileAsMutation>;
export declare type SaveFileAsMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISaveFileAsMutation, SchemaTypes.ISaveFileAsMutationVariables>;
export declare const SaveFileChanges_WSDocument: import("graphql").DocumentNode;
export declare type ISaveFileChanges_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFileChanges_WSMutation, SchemaTypes.ISaveFileChanges_WSMutationVariables>;
export declare type SaveFileChanges_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISaveFileChanges_WSMutation, SchemaTypes.ISaveFileChanges_WSMutationVariables>, 'mutation'>;
export declare const SaveFileChanges_WSComponent: (props: SaveFileChanges_WSComponentProps) => JSX.Element;
export declare type ISaveFileChanges_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFileChanges_WSMutation, SchemaTypes.ISaveFileChanges_WSMutationVariables>;
} & TChildProps;
export declare function withSaveFileChanges_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISaveFileChanges_WSMutation, SchemaTypes.ISaveFileChanges_WSMutationVariables, ISaveFileChanges_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISaveFileChanges_WSMutation, SchemaTypes.ISaveFileChanges_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSaveFileChanges_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISaveFileChanges_WSMutation, SchemaTypes.ISaveFileChanges_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISaveFileChanges_WSMutation, SchemaTypes.ISaveFileChanges_WSMutationVariables>;
export declare type SaveFileChanges_WSMutationHookResult = ReturnType<typeof useSaveFileChanges_WSMutation>;
export declare type SaveFileChanges_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISaveFileChanges_WSMutation>;
export declare type SaveFileChanges_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISaveFileChanges_WSMutation, SchemaTypes.ISaveFileChanges_WSMutationVariables>;
export declare const SetEncodingDocument: import("graphql").DocumentNode;
export declare type ISetEncodingMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISetEncodingMutation, SchemaTypes.ISetEncodingMutationVariables>;
export declare type SetEncodingComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetEncodingMutation, SchemaTypes.ISetEncodingMutationVariables>, 'mutation'>;
export declare const SetEncodingComponent: (props: SetEncodingComponentProps) => JSX.Element;
export declare type ISetEncodingProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetEncodingMutation, SchemaTypes.ISetEncodingMutationVariables>;
} & TChildProps;
export declare function withSetEncoding<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISetEncodingMutation, SchemaTypes.ISetEncodingMutationVariables, ISetEncodingProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetEncodingMutation, SchemaTypes.ISetEncodingMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSetEncodingMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetEncodingMutation, SchemaTypes.ISetEncodingMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISetEncodingMutation, SchemaTypes.ISetEncodingMutationVariables>;
export declare type SetEncodingMutationHookResult = ReturnType<typeof useSetEncodingMutation>;
export declare type SetEncodingMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetEncodingMutation>;
export declare type SetEncodingMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetEncodingMutation, SchemaTypes.ISetEncodingMutationVariables>;
export declare const SetTreeDataDocument: import("graphql").DocumentNode;
export declare type ISetTreeDataMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.ISetTreeDataMutation, SchemaTypes.ISetTreeDataMutationVariables>;
export declare type SetTreeDataComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.ISetTreeDataMutation, SchemaTypes.ISetTreeDataMutationVariables>, 'mutation'>;
export declare const SetTreeDataComponent: (props: SetTreeDataComponentProps) => JSX.Element;
export declare type ISetTreeDataProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetTreeDataMutation, SchemaTypes.ISetTreeDataMutationVariables>;
} & TChildProps;
export declare function withSetTreeData<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISetTreeDataMutation, SchemaTypes.ISetTreeDataMutationVariables, ISetTreeDataProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.ISetTreeDataMutation, SchemaTypes.ISetTreeDataMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSetTreeDataMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.ISetTreeDataMutation, SchemaTypes.ISetTreeDataMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.ISetTreeDataMutation, SchemaTypes.ISetTreeDataMutationVariables>;
export declare type SetTreeDataMutationHookResult = ReturnType<typeof useSetTreeDataMutation>;
export declare type SetTreeDataMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.ISetTreeDataMutation>;
export declare type SetTreeDataMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.ISetTreeDataMutation, SchemaTypes.ISetTreeDataMutationVariables>;
export declare const UnwatchFileDocument: import("graphql").DocumentNode;
export declare type IUnwatchFileMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUnwatchFileMutation, SchemaTypes.IUnwatchFileMutationVariables>;
export declare type UnwatchFileComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUnwatchFileMutation, SchemaTypes.IUnwatchFileMutationVariables>, 'mutation'>;
export declare const UnwatchFileComponent: (props: UnwatchFileComponentProps) => JSX.Element;
export declare type IUnwatchFileProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUnwatchFileMutation, SchemaTypes.IUnwatchFileMutationVariables>;
} & TChildProps;
export declare function withUnwatchFile<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUnwatchFileMutation, SchemaTypes.IUnwatchFileMutationVariables, IUnwatchFileProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUnwatchFileMutation, SchemaTypes.IUnwatchFileMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUnwatchFileMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUnwatchFileMutation, SchemaTypes.IUnwatchFileMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUnwatchFileMutation, SchemaTypes.IUnwatchFileMutationVariables>;
export declare type UnwatchFileMutationHookResult = ReturnType<typeof useUnwatchFileMutation>;
export declare type UnwatchFileMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUnwatchFileMutation>;
export declare type UnwatchFileMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUnwatchFileMutation, SchemaTypes.IUnwatchFileMutationVariables>;
export declare const UnwatchFile_WSDocument: import("graphql").DocumentNode;
export declare type IUnwatchFile_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUnwatchFile_WSMutation, SchemaTypes.IUnwatchFile_WSMutationVariables>;
export declare type UnwatchFile_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUnwatchFile_WSMutation, SchemaTypes.IUnwatchFile_WSMutationVariables>, 'mutation'>;
export declare const UnwatchFile_WSComponent: (props: UnwatchFile_WSComponentProps) => JSX.Element;
export declare type IUnwatchFile_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUnwatchFile_WSMutation, SchemaTypes.IUnwatchFile_WSMutationVariables>;
} & TChildProps;
export declare function withUnwatchFile_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUnwatchFile_WSMutation, SchemaTypes.IUnwatchFile_WSMutationVariables, IUnwatchFile_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUnwatchFile_WSMutation, SchemaTypes.IUnwatchFile_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUnwatchFile_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUnwatchFile_WSMutation, SchemaTypes.IUnwatchFile_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUnwatchFile_WSMutation, SchemaTypes.IUnwatchFile_WSMutationVariables>;
export declare type UnwatchFile_WSMutationHookResult = ReturnType<typeof useUnwatchFile_WSMutation>;
export declare type UnwatchFile_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUnwatchFile_WSMutation>;
export declare type UnwatchFile_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUnwatchFile_WSMutation, SchemaTypes.IUnwatchFile_WSMutationVariables>;
export declare const UpdateFileDirtyStateDocument: import("graphql").DocumentNode;
export declare type IUpdateFileDirtyStateMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateFileDirtyStateMutation, SchemaTypes.IUpdateFileDirtyStateMutationVariables>;
export declare type UpdateFileDirtyStateComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateFileDirtyStateMutation, SchemaTypes.IUpdateFileDirtyStateMutationVariables>, 'mutation'>;
export declare const UpdateFileDirtyStateComponent: (props: UpdateFileDirtyStateComponentProps) => JSX.Element;
export declare type IUpdateFileDirtyStateProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateFileDirtyStateMutation, SchemaTypes.IUpdateFileDirtyStateMutationVariables>;
} & TChildProps;
export declare function withUpdateFileDirtyState<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUpdateFileDirtyStateMutation, SchemaTypes.IUpdateFileDirtyStateMutationVariables, IUpdateFileDirtyStateProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateFileDirtyStateMutation, SchemaTypes.IUpdateFileDirtyStateMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUpdateFileDirtyStateMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateFileDirtyStateMutation, SchemaTypes.IUpdateFileDirtyStateMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUpdateFileDirtyStateMutation, SchemaTypes.IUpdateFileDirtyStateMutationVariables>;
export declare type UpdateFileDirtyStateMutationHookResult = ReturnType<typeof useUpdateFileDirtyStateMutation>;
export declare type UpdateFileDirtyStateMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateFileDirtyStateMutation>;
export declare type UpdateFileDirtyStateMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateFileDirtyStateMutation, SchemaTypes.IUpdateFileDirtyStateMutationVariables>;
export declare const UpdateContentByChangesDocument: import("graphql").DocumentNode;
export declare type IUpdateContentByChangesMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateContentByChangesMutation, SchemaTypes.IUpdateContentByChangesMutationVariables>;
export declare type UpdateContentByChangesComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateContentByChangesMutation, SchemaTypes.IUpdateContentByChangesMutationVariables>, 'mutation'>;
export declare const UpdateContentByChangesComponent: (props: UpdateContentByChangesComponentProps) => JSX.Element;
export declare type IUpdateContentByChangesProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateContentByChangesMutation, SchemaTypes.IUpdateContentByChangesMutationVariables>;
} & TChildProps;
export declare function withUpdateContentByChanges<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUpdateContentByChangesMutation, SchemaTypes.IUpdateContentByChangesMutationVariables, IUpdateContentByChangesProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateContentByChangesMutation, SchemaTypes.IUpdateContentByChangesMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUpdateContentByChangesMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateContentByChangesMutation, SchemaTypes.IUpdateContentByChangesMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUpdateContentByChangesMutation, SchemaTypes.IUpdateContentByChangesMutationVariables>;
export declare type UpdateContentByChangesMutationHookResult = ReturnType<typeof useUpdateContentByChangesMutation>;
export declare type UpdateContentByChangesMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateContentByChangesMutation>;
export declare type UpdateContentByChangesMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateContentByChangesMutation, SchemaTypes.IUpdateContentByChangesMutationVariables>;
export declare const UpdateEditorStateDocument: import("graphql").DocumentNode;
export declare type IUpdateEditorStateMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateEditorStateMutation, SchemaTypes.IUpdateEditorStateMutationVariables>;
export declare type UpdateEditorStateComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateEditorStateMutation, SchemaTypes.IUpdateEditorStateMutationVariables>, 'mutation'>;
export declare const UpdateEditorStateComponent: (props: UpdateEditorStateComponentProps) => JSX.Element;
export declare type IUpdateEditorStateProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateEditorStateMutation, SchemaTypes.IUpdateEditorStateMutationVariables>;
} & TChildProps;
export declare function withUpdateEditorState<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUpdateEditorStateMutation, SchemaTypes.IUpdateEditorStateMutationVariables, IUpdateEditorStateProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateEditorStateMutation, SchemaTypes.IUpdateEditorStateMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUpdateEditorStateMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateEditorStateMutation, SchemaTypes.IUpdateEditorStateMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUpdateEditorStateMutation, SchemaTypes.IUpdateEditorStateMutationVariables>;
export declare type UpdateEditorStateMutationHookResult = ReturnType<typeof useUpdateEditorStateMutation>;
export declare type UpdateEditorStateMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateEditorStateMutation>;
export declare type UpdateEditorStateMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateEditorStateMutation, SchemaTypes.IUpdateEditorStateMutationVariables>;
export declare const UpdateFileContent_WSDocument: import("graphql").DocumentNode;
export declare type IUpdateFileContent_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateFileContent_WSMutation, SchemaTypes.IUpdateFileContent_WSMutationVariables>;
export declare type UpdateFileContent_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateFileContent_WSMutation, SchemaTypes.IUpdateFileContent_WSMutationVariables>, 'mutation'>;
export declare const UpdateFileContent_WSComponent: (props: UpdateFileContent_WSComponentProps) => JSX.Element;
export declare type IUpdateFileContent_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateFileContent_WSMutation, SchemaTypes.IUpdateFileContent_WSMutationVariables>;
} & TChildProps;
export declare function withUpdateFileContent_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUpdateFileContent_WSMutation, SchemaTypes.IUpdateFileContent_WSMutationVariables, IUpdateFileContent_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateFileContent_WSMutation, SchemaTypes.IUpdateFileContent_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUpdateFileContent_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateFileContent_WSMutation, SchemaTypes.IUpdateFileContent_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUpdateFileContent_WSMutation, SchemaTypes.IUpdateFileContent_WSMutationVariables>;
export declare type UpdateFileContent_WSMutationHookResult = ReturnType<typeof useUpdateFileContent_WSMutation>;
export declare type UpdateFileContent_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateFileContent_WSMutation>;
export declare type UpdateFileContent_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateFileContent_WSMutation, SchemaTypes.IUpdateFileContent_WSMutationVariables>;
export declare const UpdateSelectedResourceDocument: import("graphql").DocumentNode;
export declare type IUpdateSelectedResourceMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateSelectedResourceMutation, SchemaTypes.IUpdateSelectedResourceMutationVariables>;
export declare type UpdateSelectedResourceComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IUpdateSelectedResourceMutation, SchemaTypes.IUpdateSelectedResourceMutationVariables>, 'mutation'>;
export declare const UpdateSelectedResourceComponent: (props: UpdateSelectedResourceComponentProps) => JSX.Element;
export declare type IUpdateSelectedResourceProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateSelectedResourceMutation, SchemaTypes.IUpdateSelectedResourceMutationVariables>;
} & TChildProps;
export declare function withUpdateSelectedResource<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUpdateSelectedResourceMutation, SchemaTypes.IUpdateSelectedResourceMutationVariables, IUpdateSelectedResourceProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IUpdateSelectedResourceMutation, SchemaTypes.IUpdateSelectedResourceMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUpdateSelectedResourceMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IUpdateSelectedResourceMutation, SchemaTypes.IUpdateSelectedResourceMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IUpdateSelectedResourceMutation, SchemaTypes.IUpdateSelectedResourceMutationVariables>;
export declare type UpdateSelectedResourceMutationHookResult = ReturnType<typeof useUpdateSelectedResourceMutation>;
export declare type UpdateSelectedResourceMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IUpdateSelectedResourceMutation>;
export declare type UpdateSelectedResourceMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IUpdateSelectedResourceMutation, SchemaTypes.IUpdateSelectedResourceMutationVariables>;
export declare const WatchFileDocument: import("graphql").DocumentNode;
export declare type IWatchFileMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IWatchFileMutation, SchemaTypes.IWatchFileMutationVariables>;
export declare type WatchFileComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IWatchFileMutation, SchemaTypes.IWatchFileMutationVariables>, 'mutation'>;
export declare const WatchFileComponent: (props: WatchFileComponentProps) => JSX.Element;
export declare type IWatchFileProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IWatchFileMutation, SchemaTypes.IWatchFileMutationVariables>;
} & TChildProps;
export declare function withWatchFile<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IWatchFileMutation, SchemaTypes.IWatchFileMutationVariables, IWatchFileProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IWatchFileMutation, SchemaTypes.IWatchFileMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useWatchFileMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IWatchFileMutation, SchemaTypes.IWatchFileMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IWatchFileMutation, SchemaTypes.IWatchFileMutationVariables>;
export declare type WatchFileMutationHookResult = ReturnType<typeof useWatchFileMutation>;
export declare type WatchFileMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IWatchFileMutation>;
export declare type WatchFileMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IWatchFileMutation, SchemaTypes.IWatchFileMutationVariables>;
export declare const WatchFile_WSDocument: import("graphql").DocumentNode;
export declare type IWatchFile_WSMutationFn = ApolloReactCommon.MutationFunction<SchemaTypes.IWatchFile_WSMutation, SchemaTypes.IWatchFile_WSMutationVariables>;
export declare type WatchFile_WSComponentProps = Omit<ApolloReactComponents.MutationComponentOptions<SchemaTypes.IWatchFile_WSMutation, SchemaTypes.IWatchFile_WSMutationVariables>, 'mutation'>;
export declare const WatchFile_WSComponent: (props: WatchFile_WSComponentProps) => JSX.Element;
export declare type IWatchFile_WSProps<TChildProps = {}, TDataName extends string = 'mutate'> = {
    [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IWatchFile_WSMutation, SchemaTypes.IWatchFile_WSMutationVariables>;
} & TChildProps;
export declare function withWatchFile_WS<TProps, TChildProps = {}, TDataName extends string = 'mutate'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IWatchFile_WSMutation, SchemaTypes.IWatchFile_WSMutationVariables, IWatchFile_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactCommon.MutationFunction<SchemaTypes.IWatchFile_WSMutation, SchemaTypes.IWatchFile_WSMutationVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useWatchFile_WSMutation(baseOptions?: ApolloReactHooks.MutationHookOptions<SchemaTypes.IWatchFile_WSMutation, SchemaTypes.IWatchFile_WSMutationVariables>): ApolloReactHooks.MutationTuple<SchemaTypes.IWatchFile_WSMutation, SchemaTypes.IWatchFile_WSMutationVariables>;
export declare type WatchFile_WSMutationHookResult = ReturnType<typeof useWatchFile_WSMutation>;
export declare type WatchFile_WSMutationResult = ApolloReactCommon.MutationResult<SchemaTypes.IWatchFile_WSMutation>;
export declare type WatchFile_WSMutationOptions = ApolloReactCommon.BaseMutationOptions<SchemaTypes.IWatchFile_WSMutation, SchemaTypes.IWatchFile_WSMutationVariables>;
export declare const ChangedContentDocument: import("graphql").DocumentNode;
export declare type ChangedContentComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IChangedContentQuery, SchemaTypes.IChangedContentQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IChangedContentQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const ChangedContentComponent: (props: ChangedContentComponentProps) => JSX.Element;
export declare type IChangedContentProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IChangedContentQuery, SchemaTypes.IChangedContentQueryVariables>;
} & TChildProps;
export declare function withChangedContent<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IChangedContentQuery, SchemaTypes.IChangedContentQueryVariables, IChangedContentProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IChangedContentQuery, SchemaTypes.IChangedContentQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useChangedContentQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IChangedContentQuery, SchemaTypes.IChangedContentQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IChangedContentQuery, SchemaTypes.IChangedContentQueryVariables>;
export declare function useChangedContentLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IChangedContentQuery, SchemaTypes.IChangedContentQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IChangedContentQuery, SchemaTypes.IChangedContentQueryVariables>;
export declare type ChangedContentQueryHookResult = ReturnType<typeof useChangedContentQuery>;
export declare type ChangedContentLazyQueryHookResult = ReturnType<typeof useChangedContentLazyQuery>;
export declare type ChangedContentQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IChangedContentQuery, SchemaTypes.IChangedContentQueryVariables>;
export declare const EditorStateDocument: import("graphql").DocumentNode;
export declare type EditorStateComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IEditorStateQuery, SchemaTypes.IEditorStateQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IEditorStateQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const EditorStateComponent: (props: EditorStateComponentProps) => JSX.Element;
export declare type IEditorStateProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IEditorStateQuery, SchemaTypes.IEditorStateQueryVariables>;
} & TChildProps;
export declare function withEditorState<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IEditorStateQuery, SchemaTypes.IEditorStateQueryVariables, IEditorStateProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IEditorStateQuery, SchemaTypes.IEditorStateQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useEditorStateQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IEditorStateQuery, SchemaTypes.IEditorStateQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IEditorStateQuery, SchemaTypes.IEditorStateQueryVariables>;
export declare function useEditorStateLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IEditorStateQuery, SchemaTypes.IEditorStateQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IEditorStateQuery, SchemaTypes.IEditorStateQueryVariables>;
export declare type EditorStateQueryHookResult = ReturnType<typeof useEditorStateQuery>;
export declare type EditorStateLazyQueryHookResult = ReturnType<typeof useEditorStateLazyQuery>;
export declare type EditorStateQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IEditorStateQuery, SchemaTypes.IEditorStateQueryVariables>;
export declare const FileExistsDocument: import("graphql").DocumentNode;
export declare type FileExistsComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFileExistsQuery, SchemaTypes.IFileExistsQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IFileExistsQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const FileExistsComponent: (props: FileExistsComponentProps) => JSX.Element;
export declare type IFileExistsProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileExistsQuery, SchemaTypes.IFileExistsQueryVariables>;
} & TChildProps;
export declare function withFileExists<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFileExistsQuery, SchemaTypes.IFileExistsQueryVariables, IFileExistsProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileExistsQuery, SchemaTypes.IFileExistsQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFileExistsQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFileExistsQuery, SchemaTypes.IFileExistsQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFileExistsQuery, SchemaTypes.IFileExistsQueryVariables>;
export declare function useFileExistsLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFileExistsQuery, SchemaTypes.IFileExistsQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFileExistsQuery, SchemaTypes.IFileExistsQueryVariables>;
export declare type FileExistsQueryHookResult = ReturnType<typeof useFileExistsQuery>;
export declare type FileExistsLazyQueryHookResult = ReturnType<typeof useFileExistsLazyQuery>;
export declare type FileExistsQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFileExistsQuery, SchemaTypes.IFileExistsQueryVariables>;
export declare const FileExists_WSDocument: import("graphql").DocumentNode;
export declare type FileExists_WSComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFileExists_WSQuery, SchemaTypes.IFileExists_WSQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IFileExists_WSQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const FileExists_WSComponent: (props: FileExists_WSComponentProps) => JSX.Element;
export declare type IFileExists_WSProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileExists_WSQuery, SchemaTypes.IFileExists_WSQueryVariables>;
} & TChildProps;
export declare function withFileExists_WS<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFileExists_WSQuery, SchemaTypes.IFileExists_WSQueryVariables, IFileExists_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileExists_WSQuery, SchemaTypes.IFileExists_WSQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFileExists_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFileExists_WSQuery, SchemaTypes.IFileExists_WSQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFileExists_WSQuery, SchemaTypes.IFileExists_WSQueryVariables>;
export declare function useFileExists_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFileExists_WSQuery, SchemaTypes.IFileExists_WSQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFileExists_WSQuery, SchemaTypes.IFileExists_WSQueryVariables>;
export declare type FileExists_WSQueryHookResult = ReturnType<typeof useFileExists_WSQuery>;
export declare type FileExists_WSLazyQueryHookResult = ReturnType<typeof useFileExists_WSLazyQuery>;
export declare type FileExists_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFileExists_WSQuery, SchemaTypes.IFileExists_WSQueryVariables>;
export declare const FileContent_WSDocument: import("graphql").DocumentNode;
export declare type FileContent_WSComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFileContent_WSQuery, SchemaTypes.IFileContent_WSQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IFileContent_WSQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const FileContent_WSComponent: (props: FileContent_WSComponentProps) => JSX.Element;
export declare type IFileContent_WSProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileContent_WSQuery, SchemaTypes.IFileContent_WSQueryVariables>;
} & TChildProps;
export declare function withFileContent_WS<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFileContent_WSQuery, SchemaTypes.IFileContent_WSQueryVariables, IFileContent_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileContent_WSQuery, SchemaTypes.IFileContent_WSQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFileContent_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFileContent_WSQuery, SchemaTypes.IFileContent_WSQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFileContent_WSQuery, SchemaTypes.IFileContent_WSQueryVariables>;
export declare function useFileContent_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFileContent_WSQuery, SchemaTypes.IFileContent_WSQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFileContent_WSQuery, SchemaTypes.IFileContent_WSQueryVariables>;
export declare type FileContent_WSQueryHookResult = ReturnType<typeof useFileContent_WSQuery>;
export declare type FileContent_WSLazyQueryHookResult = ReturnType<typeof useFileContent_WSLazyQuery>;
export declare type FileContent_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFileContent_WSQuery, SchemaTypes.IFileContent_WSQueryVariables>;
export declare const FileStat_WSDocument: import("graphql").DocumentNode;
export declare type FileStat_WSComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFileStat_WSQuery, SchemaTypes.IFileStat_WSQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IFileStat_WSQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const FileStat_WSComponent: (props: FileStat_WSComponentProps) => JSX.Element;
export declare type IFileStat_WSProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileStat_WSQuery, SchemaTypes.IFileStat_WSQueryVariables>;
} & TChildProps;
export declare function withFileStat_WS<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFileStat_WSQuery, SchemaTypes.IFileStat_WSQueryVariables, IFileStat_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileStat_WSQuery, SchemaTypes.IFileStat_WSQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFileStat_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFileStat_WSQuery, SchemaTypes.IFileStat_WSQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFileStat_WSQuery, SchemaTypes.IFileStat_WSQueryVariables>;
export declare function useFileStat_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFileStat_WSQuery, SchemaTypes.IFileStat_WSQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFileStat_WSQuery, SchemaTypes.IFileStat_WSQueryVariables>;
export declare type FileStat_WSQueryHookResult = ReturnType<typeof useFileStat_WSQuery>;
export declare type FileStat_WSLazyQueryHookResult = ReturnType<typeof useFileStat_WSLazyQuery>;
export declare type FileStat_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFileStat_WSQuery, SchemaTypes.IFileStat_WSQueryVariables>;
export declare const ResolveFileContentDocument: import("graphql").DocumentNode;
export declare type ResolveFileContentComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IResolveFileContentQuery, SchemaTypes.IResolveFileContentQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IResolveFileContentQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const ResolveFileContentComponent: (props: ResolveFileContentComponentProps) => JSX.Element;
export declare type IResolveFileContentProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IResolveFileContentQuery, SchemaTypes.IResolveFileContentQueryVariables>;
} & TChildProps;
export declare function withResolveFileContent<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IResolveFileContentQuery, SchemaTypes.IResolveFileContentQueryVariables, IResolveFileContentProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IResolveFileContentQuery, SchemaTypes.IResolveFileContentQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useResolveFileContentQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IResolveFileContentQuery, SchemaTypes.IResolveFileContentQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IResolveFileContentQuery, SchemaTypes.IResolveFileContentQueryVariables>;
export declare function useResolveFileContentLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IResolveFileContentQuery, SchemaTypes.IResolveFileContentQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IResolveFileContentQuery, SchemaTypes.IResolveFileContentQueryVariables>;
export declare type ResolveFileContentQueryHookResult = ReturnType<typeof useResolveFileContentQuery>;
export declare type ResolveFileContentLazyQueryHookResult = ReturnType<typeof useResolveFileContentLazyQuery>;
export declare type ResolveFileContentQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IResolveFileContentQuery, SchemaTypes.IResolveFileContentQueryVariables>;
export declare const ResolveUntitledFileContentDocument: import("graphql").DocumentNode;
export declare type ResolveUntitledFileContentComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IResolveUntitledFileContentQuery, SchemaTypes.IResolveUntitledFileContentQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IResolveUntitledFileContentQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const ResolveUntitledFileContentComponent: (props: ResolveUntitledFileContentComponentProps) => JSX.Element;
export declare type IResolveUntitledFileContentProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IResolveUntitledFileContentQuery, SchemaTypes.IResolveUntitledFileContentQueryVariables>;
} & TChildProps;
export declare function withResolveUntitledFileContent<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IResolveUntitledFileContentQuery, SchemaTypes.IResolveUntitledFileContentQueryVariables, IResolveUntitledFileContentProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IResolveUntitledFileContentQuery, SchemaTypes.IResolveUntitledFileContentQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useResolveUntitledFileContentQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IResolveUntitledFileContentQuery, SchemaTypes.IResolveUntitledFileContentQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IResolveUntitledFileContentQuery, SchemaTypes.IResolveUntitledFileContentQueryVariables>;
export declare function useResolveUntitledFileContentLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IResolveUntitledFileContentQuery, SchemaTypes.IResolveUntitledFileContentQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IResolveUntitledFileContentQuery, SchemaTypes.IResolveUntitledFileContentQueryVariables>;
export declare type ResolveUntitledFileContentQueryHookResult = ReturnType<typeof useResolveUntitledFileContentQuery>;
export declare type ResolveUntitledFileContentLazyQueryHookResult = ReturnType<typeof useResolveUntitledFileContentLazyQuery>;
export declare type ResolveUntitledFileContentQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IResolveUntitledFileContentQuery, SchemaTypes.IResolveUntitledFileContentQueryVariables>;
export declare const SelectedResourceDocument: import("graphql").DocumentNode;
export declare type SelectedResourceComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.ISelectedResourceQuery, SchemaTypes.ISelectedResourceQueryVariables>, 'query'>;
export declare const SelectedResourceComponent: (props: SelectedResourceComponentProps) => JSX.Element;
export declare type ISelectedResourceProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.ISelectedResourceQuery, SchemaTypes.ISelectedResourceQueryVariables>;
} & TChildProps;
export declare function withSelectedResource<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ISelectedResourceQuery, SchemaTypes.ISelectedResourceQueryVariables, ISelectedResourceProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.ISelectedResourceQuery, SchemaTypes.ISelectedResourceQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useSelectedResourceQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.ISelectedResourceQuery, SchemaTypes.ISelectedResourceQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.ISelectedResourceQuery, SchemaTypes.ISelectedResourceQueryVariables>;
export declare function useSelectedResourceLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.ISelectedResourceQuery, SchemaTypes.ISelectedResourceQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.ISelectedResourceQuery, SchemaTypes.ISelectedResourceQueryVariables>;
export declare type SelectedResourceQueryHookResult = ReturnType<typeof useSelectedResourceQuery>;
export declare type SelectedResourceLazyQueryHookResult = ReturnType<typeof useSelectedResourceLazyQuery>;
export declare type SelectedResourceQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.ISelectedResourceQuery, SchemaTypes.ISelectedResourceQueryVariables>;
export declare const TextContent_WSDocument: import("graphql").DocumentNode;
export declare type TextContent_WSComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.ITextContent_WSQuery, SchemaTypes.ITextContent_WSQueryVariables>, 'query'> & ({
    variables: SchemaTypes.ITextContent_WSQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const TextContent_WSComponent: (props: TextContent_WSComponentProps) => JSX.Element;
export declare type ITextContent_WSProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.ITextContent_WSQuery, SchemaTypes.ITextContent_WSQueryVariables>;
} & TChildProps;
export declare function withTextContent_WS<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.ITextContent_WSQuery, SchemaTypes.ITextContent_WSQueryVariables, ITextContent_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.ITextContent_WSQuery, SchemaTypes.ITextContent_WSQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useTextContent_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.ITextContent_WSQuery, SchemaTypes.ITextContent_WSQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.ITextContent_WSQuery, SchemaTypes.ITextContent_WSQueryVariables>;
export declare function useTextContent_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.ITextContent_WSQuery, SchemaTypes.ITextContent_WSQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.ITextContent_WSQuery, SchemaTypes.ITextContent_WSQueryVariables>;
export declare type TextContent_WSQueryHookResult = ReturnType<typeof useTextContent_WSQuery>;
export declare type TextContent_WSLazyQueryHookResult = ReturnType<typeof useTextContent_WSLazyQuery>;
export declare type TextContent_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.ITextContent_WSQuery, SchemaTypes.ITextContent_WSQueryVariables>;
export declare const FileStreamContent_WSDocument: import("graphql").DocumentNode;
export declare type FileStreamContent_WSComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IFileStreamContent_WSQuery, SchemaTypes.IFileStreamContent_WSQueryVariables>, 'query'> & ({
    variables: SchemaTypes.IFileStreamContent_WSQueryVariables;
    skip?: boolean;
} | {
    skip: boolean;
});
export declare const FileStreamContent_WSComponent: (props: FileStreamContent_WSComponentProps) => JSX.Element;
export declare type IFileStreamContent_WSProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileStreamContent_WSQuery, SchemaTypes.IFileStreamContent_WSQueryVariables>;
} & TChildProps;
export declare function withFileStreamContent_WS<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFileStreamContent_WSQuery, SchemaTypes.IFileStreamContent_WSQueryVariables, IFileStreamContent_WSProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileStreamContent_WSQuery, SchemaTypes.IFileStreamContent_WSQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFileStreamContent_WSQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IFileStreamContent_WSQuery, SchemaTypes.IFileStreamContent_WSQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IFileStreamContent_WSQuery, SchemaTypes.IFileStreamContent_WSQueryVariables>;
export declare function useFileStreamContent_WSLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IFileStreamContent_WSQuery, SchemaTypes.IFileStreamContent_WSQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IFileStreamContent_WSQuery, SchemaTypes.IFileStreamContent_WSQueryVariables>;
export declare type FileStreamContent_WSQueryHookResult = ReturnType<typeof useFileStreamContent_WSQuery>;
export declare type FileStreamContent_WSLazyQueryHookResult = ReturnType<typeof useFileStreamContent_WSLazyQuery>;
export declare type FileStreamContent_WSQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IFileStreamContent_WSQuery, SchemaTypes.IFileStreamContent_WSQueryVariables>;
export declare const UntitledResourcesDocument: import("graphql").DocumentNode;
export declare type UntitledResourcesComponentProps = Omit<ApolloReactComponents.QueryComponentOptions<SchemaTypes.IUntitledResourcesQuery, SchemaTypes.IUntitledResourcesQueryVariables>, 'query'>;
export declare const UntitledResourcesComponent: (props: UntitledResourcesComponentProps) => JSX.Element;
export declare type IUntitledResourcesProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IUntitledResourcesQuery, SchemaTypes.IUntitledResourcesQueryVariables>;
} & TChildProps;
export declare function withUntitledResources<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IUntitledResourcesQuery, SchemaTypes.IUntitledResourcesQueryVariables, IUntitledResourcesProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IUntitledResourcesQuery, SchemaTypes.IUntitledResourcesQueryVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useUntitledResourcesQuery(baseOptions?: ApolloReactHooks.QueryHookOptions<SchemaTypes.IUntitledResourcesQuery, SchemaTypes.IUntitledResourcesQueryVariables>): ApolloReactCommon.QueryResult<SchemaTypes.IUntitledResourcesQuery, SchemaTypes.IUntitledResourcesQueryVariables>;
export declare function useUntitledResourcesLazyQuery(baseOptions?: ApolloReactHooks.LazyQueryHookOptions<SchemaTypes.IUntitledResourcesQuery, SchemaTypes.IUntitledResourcesQueryVariables>): ApolloReactHooks.QueryTuple<SchemaTypes.IUntitledResourcesQuery, SchemaTypes.IUntitledResourcesQueryVariables>;
export declare type UntitledResourcesQueryHookResult = ReturnType<typeof useUntitledResourcesQuery>;
export declare type UntitledResourcesLazyQueryHookResult = ReturnType<typeof useUntitledResourcesLazyQuery>;
export declare type UntitledResourcesQueryResult = ApolloReactCommon.QueryResult<SchemaTypes.IUntitledResourcesQuery, SchemaTypes.IUntitledResourcesQueryVariables>;
export declare const FileDataDocument: import("graphql").DocumentNode;
export declare type FileDataComponentProps = Omit<ApolloReactComponents.SubscriptionComponentOptions<SchemaTypes.IFileDataSubscription, SchemaTypes.IFileDataSubscriptionVariables>, 'subscription'>;
export declare const FileDataComponent: (props: FileDataComponentProps) => JSX.Element;
export declare type IFileDataProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileDataSubscription, SchemaTypes.IFileDataSubscriptionVariables>;
} & TChildProps;
export declare function withFileData<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFileDataSubscription, SchemaTypes.IFileDataSubscriptionVariables, IFileDataProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileDataSubscription, SchemaTypes.IFileDataSubscriptionVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFileDataSubscription(baseOptions?: ApolloReactHooks.SubscriptionHookOptions<SchemaTypes.IFileDataSubscription, SchemaTypes.IFileDataSubscriptionVariables>): {
    variables: SchemaTypes.IFileDataSubscriptionVariables;
    loading: boolean;
    data?: SchemaTypes.IFileDataSubscription;
    error?: import("apollo-client").ApolloError;
};
export declare type FileDataSubscriptionHookResult = ReturnType<typeof useFileDataSubscription>;
export declare type FileDataSubscriptionResult = ApolloReactCommon.SubscriptionResult<SchemaTypes.IFileDataSubscription>;
export declare const FileOperationDocument: import("graphql").DocumentNode;
export declare type FileOperationComponentProps = Omit<ApolloReactComponents.SubscriptionComponentOptions<SchemaTypes.IFileOperationSubscription, SchemaTypes.IFileOperationSubscriptionVariables>, 'subscription'>;
export declare const FileOperationComponent: (props: FileOperationComponentProps) => JSX.Element;
export declare type IFileOperationProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileOperationSubscription, SchemaTypes.IFileOperationSubscriptionVariables>;
} & TChildProps;
export declare function withFileOperation<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IFileOperationSubscription, SchemaTypes.IFileOperationSubscriptionVariables, IFileOperationProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IFileOperationSubscription, SchemaTypes.IFileOperationSubscriptionVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useFileOperationSubscription(baseOptions?: ApolloReactHooks.SubscriptionHookOptions<SchemaTypes.IFileOperationSubscription, SchemaTypes.IFileOperationSubscriptionVariables>): {
    variables: SchemaTypes.IFileOperationSubscriptionVariables;
    loading: boolean;
    data?: SchemaTypes.IFileOperationSubscription;
    error?: import("apollo-client").ApolloError;
};
export declare type FileOperationSubscriptionHookResult = ReturnType<typeof useFileOperationSubscription>;
export declare type FileOperationSubscriptionResult = ApolloReactCommon.SubscriptionResult<SchemaTypes.IFileOperationSubscription>;
export declare const ReadStreamTextFileDocument: import("graphql").DocumentNode;
export declare type ReadStreamTextFileComponentProps = Omit<ApolloReactComponents.SubscriptionComponentOptions<SchemaTypes.IReadStreamTextFileSubscription, SchemaTypes.IReadStreamTextFileSubscriptionVariables>, 'subscription'>;
export declare const ReadStreamTextFileComponent: (props: ReadStreamTextFileComponentProps) => JSX.Element;
export declare type IReadStreamTextFileProps<TChildProps = {}, TDataName extends string = 'data'> = {
    [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IReadStreamTextFileSubscription, SchemaTypes.IReadStreamTextFileSubscriptionVariables>;
} & TChildProps;
export declare function withReadStreamTextFile<TProps, TChildProps = {}, TDataName extends string = 'data'>(operationOptions?: ApolloReactHoc.OperationOption<TProps, SchemaTypes.IReadStreamTextFileSubscription, SchemaTypes.IReadStreamTextFileSubscriptionVariables, IReadStreamTextFileProps<TChildProps, TDataName>>): (WrappedComponent: React.ComponentType<TProps & { [key in TDataName]: ApolloReactHoc.DataValue<SchemaTypes.IReadStreamTextFileSubscription, SchemaTypes.IReadStreamTextFileSubscriptionVariables>; } & TChildProps>) => React.ComponentClass<TProps, any>;
export declare function useReadStreamTextFileSubscription(baseOptions?: ApolloReactHooks.SubscriptionHookOptions<SchemaTypes.IReadStreamTextFileSubscription, SchemaTypes.IReadStreamTextFileSubscriptionVariables>): {
    variables: SchemaTypes.IReadStreamTextFileSubscriptionVariables;
    loading: boolean;
    data?: SchemaTypes.IReadStreamTextFileSubscription;
    error?: import("apollo-client").ApolloError;
};
export declare type ReadStreamTextFileSubscriptionHookResult = ReturnType<typeof useReadStreamTextFileSubscription>;
export declare type ReadStreamTextFileSubscriptionResult = ApolloReactCommon.SubscriptionResult<SchemaTypes.IReadStreamTextFileSubscription>;
